Error building v21.02.0-rc2

I'm building on a debian 10 based system. I am following these instructions for my build: https://openwrt.org/docs/guide-user/additional-software/beginners-build-guide#compiling_openwrt

I am getting an error when it build gettext:


make[8]: Entering directory '/home/jgauthier/openwrt/build_dir/hostpkg/gettext-0.19.8.1/gettext-runtime/intl'
make[8]: *** No rule to make target 'libgnuintl.@INTL_LIBTOOL_SUFFIX_PREFIX@a', needed by 'all-no-yes'.  Stop.
make[8]: Leaving directory '/home/jgauthier/openwrt/build_dir/hostpkg/gettext-0.19.8.1/gettext-runtime/intl'
make[7]: *** [Makefile:1346: all-recursive] Error 1
make[7]: Leaving directory '/home/jgauthier/openwrt/build_dir/hostpkg/gettext-0.19.8.1/gettext-runtime'
make[6]: *** [Makefile:1251: all] Error 2
make[6]: Leaving directory '/home/jgauthier/openwrt/build_dir/hostpkg/gettext-0.19.8.1/gettext-runtime'
make[5]: *** [Makefile:412: all-recursive] Error 1
make[5]: Leaving directory '/home/jgauthier/openwrt/build_dir/hostpkg/gettext-0.19.8.1'
make[4]: *** [Makefile:368: all] Error 2
make[4]: Leaving directory '/home/jgauthier/openwrt/build_dir/hostpkg/gettext-0.19.8.1'
make[3]: *** [Makefile:102: /home/jgauthier/openwrt/build_dir/hostpkg/gettext-0.19.8.1/.built] Error 2
make[3]: Leaving directory '/home/jgauthier/openwrt/package/libs/gettext-full'
time: package/libs/gettext-full/host-compile#83.85#130.76#345.97
    ERROR: package/libs/gettext-full [host] failed to build.

Thanks! I am going to attempt v19.07.7 next.

Same exact error with 19.07. Seems like I just can't get this to build on my system.
I've tried a build on a Fedora system and it fails as well, in a different place:


/home/jgauthier/openwrt/build_dir/target-mips_24kc_musl/bpftools-full/bpftools-5.10.10/bpftool-bootstrap btf dump file /sys/kernel/btf/vmlinux format c > /home/jgauthier/openwrt/build_dir/target-mips_24kc_musl/bpftools-full/bpftools-5.10.10/vmlinux.h

Did you install all the imagemaker dependables mentioned in the instruction?

https://openwrt.org/docs/guide-user/additional-software/imagebuilder

No, I'm following the build instructions:

There is no mention on image builder.

My experience for the world of Linux is that the information rarely is coming to you by itself or is complete. Most often you need to read ALL the instructions (only one instruction isn’t often enough) and maybe some instructions not even on the subject and then build some kind of hypothesis on how to solve the idea you have.
And then have some trial and error but if you stick to it you will succeed!

2 Likes

Imagebuilder is for contructing an image based on previously built images.
I want to build an image with LibreMesh in it. I don't see how ImageBuilder is relevant.

But thanks anyway.

I downloaded the new openwrt update (v20.02.0-rc2) to try to make the firmware work with my nanostation loco M2, but I couldn't find the target version for my device's processor (AR7240 MIPS 24KC @ 400MHz), I compiled the firmware with the ATH79. If I upload this firmware to the device, will it work or will I make it unusable?

no longer supported 8/32... (well technically you may squeeze 19 on it for a little while longer?) time for a new device...

Actually looking for an alternative to install openwrt on it, because I couldn't get the 19 on it. My nano loco M2 came from the factory with firmware 6.3.0 and every time I try to upload the compiled firmware 19, it says the firmware is not compatible. I tried to downgrade the original firmware, but I can't get firmware older than 6.1.3.

best to create new thread about whats going on with your 19 issues.... (or even better acquire more contemporary hardware)